Option Explicit

' serial communication example: basic serial output

' outputBuffer will store the bytes we wish to send out to the world:
dim outputBuffer(1 to 10) as byte
' inputBuffer will receive bytes from the outside world
dim inputBuffer(1 to 10) as byte

Public Sub Main()

	delay 0.5

	' Setup serial stuff:
	' Pin 6 will send output to the world
	' no input yet, so that will be the "Dummy" pin 0
	' bx1000_1000 is the way we say 8 data bits, 1 stop bit, no parity
	call defineCom3(0, 6, bx1000_1000)
	call openQueue(inputBuffer, 10)
	call openQueue(outputBuffer, 10)
	call openCom(3, 9600, inputBuffer, outputBuffer)
	
	dim char as byte
	char = 48
	do
		call putQueue(outputBuffer, char, 1)
		debug.print "Numerical value for char is: "; cstr(char)
		debug.print "ASCII value for char is: "; chr(char)
		delay 1.0

		char = char + 1
		if char > 128 then
			char = 48
		end if
	loop

End Sub
